Release GPGME 1.13.0 gpgme-1.13.0
authorWerner Koch <wk@gnupg.org>
Tue, 26 Mar 2019 15:56:39 +0000 (16:56 +0100)
committerWerner Koch <wk@gnupg.org>
Tue, 26 Mar 2019 16:17:08 +0000 (17:17 +0100)
* configure.ac: Bump LT versions.
                For C to C33/A22/R0.
                For C++ to C15/A9/R0.
                For Qt to C10/A3/R3.

Signed-off-by: Werner Koch <wk@gnupg.org>
NEWS
configure.ac
lang/python/doc/rst/_build/README

diff --git a/NEWS b/NEWS
index c496152..fed626a 100644 (file)
--- a/NEWS
+++ b/NEWS
@@ -1,8 +1,46 @@
-Noteworthy changes in version 1.12.1 (unreleased)
+Noteworthy changes in version 1.13.0 (2019-03-26)
 -------------------------------------------------
 
+ * Support GPGME_AUDITLOG_DIAG for gpgsm.  [#4426]
+
+ * New context flag "trust-model".
+
+ * Removed support for WindowsCE and Windows ME.
+
+ * Aligned the gpgrt-config code with our other libaries.
+
+ * Auto-check for all installed Python versions.  [#3354]
+
+ * Fixed generating card key in the C++ bindings.  [#4428]
+
+ * Fixed a segv due to bad parameters in genkey.  [#4192]
+
+ * Fixed crash if the plaintext is ignored in a CMS verify.
+
+ * Fixed memleak on Windows.  [T4238]
+
+ * Tweaked the Windows I/O code.
+
+ * Fixed random crashes on Windows due to closing an arbitrary
+   handle.  [#4237]
+
+ * Fixed a segv on Windows.  [#4369]
+
+ * Fixed test suite problems related to dtags.  [#4298]
+
+ * Fixed bunch of python bugs.  [#4242,commit 9de1c96ac3cf]
+
+ * Several fixes to the Common Lisp bindings.
+
+ * Fixed minor bugs in gpgme-json.  [#4331,#4341,#4342,#4343
+
+ * Require trace level 8 to dump all I/O data.
+
+ * The compiler must now support variadic macros.
+
  * Interface changes relative to the 1.12.0 release:
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+ gpgme_set_ctx_flag               EXTENDED: New flag 'trust-model'.
  cpp: Context::create                       NEW.
  cpp: Key::isBad                            NEW.
  cpp: Subkey::isBad                         NEW.
@@ -10,6 +48,10 @@ Noteworthy changes in version 1.12.1 (unreleased)
  cpp: UserID::Signature::isBad              NEW.
  cpp: GenCardKeyInteractor::setAlgo         NEW.
 
+ [c=C33/A22/R0 cpp=C15/A9/R0 qt=C10/A3/R3]
+
+ Release-info: https://dev.gnupg.org/T4376
+
 
 Noteworthy changes in version 1.12.0 (2018-10-08)
 -------------------------------------------------
index e59a2f8..25184f4 100644 (file)
@@ -29,8 +29,8 @@ min_automake_version="1.14"
 # for the LT versions.
 m4_define([mym4_package],[gpgme])
 m4_define([mym4_major], [1])
-m4_define([mym4_minor], [12])
-m4_define([mym4_micro], [1])
+m4_define([mym4_minor], [13])
+m4_define([mym4_micro], [0])
 
 # Below is m4 magic to extract and compute the git revision number,
 # the decimalized short revision number, a beta version string and a
@@ -51,20 +51,20 @@ AC_INIT([mym4_package],[mym4_version], [https://bugs.gnupg.org])
 #   (Interfaces added:                 AGE++)
 #   (Interfaces removed:               AGE=0)
 #
-LIBGPGME_LT_CURRENT=32
-LIBGPGME_LT_AGE=21
+LIBGPGME_LT_CURRENT=33
+LIBGPGME_LT_AGE=22
 LIBGPGME_LT_REVISION=0
 
 # If there is an ABI break in gpgmepp or qgpgme also bump the
 # version in IMPORTED_LOCATION in the GpgmeppConfig-w32.cmake.in.in
 
-LIBGPGMEPP_LT_CURRENT=14
-LIBGPGMEPP_LT_AGE=8
+LIBGPGMEPP_LT_CURRENT=15
+LIBGPGMEPP_LT_AGE=9
 LIBGPGMEPP_LT_REVISION=0
 
 LIBQGPGME_LT_CURRENT=10
 LIBQGPGME_LT_AGE=3
-LIBQGPGME_LT_REVISION=2
+LIBQGPGME_LT_REVISION=3
 ################################################
 
 AC_SUBST(LIBGPGME_LT_CURRENT)
index 07d5fbb..c8f8c12 100644 (file)
@@ -1 +1 @@
-Directory for Sphinx's built documentation.
\ No newline at end of file
+Directory for Sphinx's built documentation.